Loading...
Searching...
No Matches
SetValue< BuildT > Struct Template Reference

`#include <nanovdb/NanoVDB.h>`

## Public Types

using | ValueT = typename NanoLeaf<BuildT>::ValueType

## Static Public Member Functions

static auto | set (NanoRoot< BuildT > &, const ValueT &)
static auto | set (typename NanoRoot< BuildT >::Tile &tile, const ValueT &v)
static auto | set (NanoUpper< BuildT > &node, uint32_t n, const ValueT &v)
static auto | set (NanoLower< BuildT > &node, uint32_t n, const ValueT &v)
static auto | set (NanoLeaf< BuildT > &leaf, uint32_t n, const ValueT &v)

## Member Typedef Documentation

## ValueT

template<typename BuildT>

using ValueT = typename NanoLeaf<BuildT>::ValueType

## Member Function Documentation

## set() [1/5]

template<typename BuildT>

auto set | ( | NanoLeaf< BuildT > & | leaf,
|  | uint32_t | n,
|  | const ValueT & | v )

inlinestatic

## set() [2/5]

template<typename BuildT>

auto set | ( | NanoLower< BuildT > & | node,
|  | uint32_t | n,
|  | const ValueT & | v )

inlinestatic

## set() [3/5]

template<typename BuildT>

auto set | ( | NanoRoot< BuildT > & | ,
|  | const ValueT & | )

inlinestatic

## set() [4/5]

template<typename BuildT>

auto set | ( | NanoUpper< BuildT > & | node,
|  | uint32_t | n,
|  | const ValueT & | v )

inlinestatic

## set() [5/5]

template<typename BuildT>

auto set | ( | typename NanoRoot< BuildT >::Tile & | tile,
|  | const ValueT & | v )

inlinestatic